OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectUnknownEntities Class Reference

A SelectUnknownEntities sorts the Entities which are qualified
as "Unknown" (their Type has not been recognized)
.

`#include <IFSelect_SelectUnknownEntities.hxx>`

Inheritance diagram for IFSelect_SelectUnknownEntities:

[legend]

## Public Member Functions
Standard_EXPORT | IFSelect_SelectUnknownEntities ()
| Creates a SelectUnknownEntities .
Standard_EXPORT Standard_Boolean | Sort (const Standard_Integer rank, const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns True for an Entity which is qualified as "Unknown", i.e. if <model> known <ent> (through its Number) as Unknown .
Standard_EXPORT TCollection_AsciiString | ExtractLabel () const
| Returns a text defining the criterium : "Recognized Entities" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectUnknownEntities::IFSelect_SelectUnknownEntities | ( |  | ) |

## Member Function Documentation

Standard_EXPORT TCollection_AsciiString IFSelect_SelectUnknownEntities::ExtractLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

Standard_EXPORT const IFSelect_SelectUnknownEntities::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExtract.

Standard_EXPORT Standard_Boolean IFSelect_SelectUnknownEntities::Sort | ( | const Standard_Integer | rank,
|  | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

The documentation for this class was generated from the following file:

- IFSelect_SelectUnknownEntities.hxx